Subject: bug#12251: 24.2.50; crash in note_mouse_highlight

From: martin rudalics <[email-masked]>
Date: Mon, 27 Aug 2012 23:10:35 +0200

>> I rebuilt bzr tip this morning and now I am getting this:
 >>
 >> Debugger entered--Lisp error: (error "#<window 3> is not a live window")
 >>   signal(error ("#<window 3> is not a live window"))
 >>   error("%s is not a live window" #<window 3>)
 >>   window-normalize-window(#<window 3> t)
 >>   record-window-buffer(#<window 3>)
 >>   set-window-configuration(#<window-configuration>)
 >>   sds-window-configuration-restore()
 >>   run-hooks(gnus-suspend-gnus-hook)
 >>   apply(run-hooks gnus-suspend-gnus-hook)
 >>   gnus-run-hooks(gnus-suspend-gnus-hook)
 >>   gnus-group-suspend()
 >>   call-interactively(gnus-group-suspend nil nil)
 >>
 >> when exiting or suspending gnus and
 >
 > ... a similar error when sending e-mail replies after ispell-message .
 >
 > my relevant settings are:
 >
 > (add-hook 'message-send-hook 'ispell-message t)
 > (defvar sds-window-configuration)
 > (defun sds-window-configuration-save ()
 >   (setq sds-window-configuration (current-window-configuration)))
 > (defun sds-window-configuration-restore ()
 >   (set-window-configuration sds-window-configuration))
 > (add-hook 'gnus-after-exiting-gnus-hook 'sds-window-configuration-restore)
 > (add-hook 'gnus-suspend-gnus-hook 'sds-window-configuration-restore)
 > (add-hook 'gnus-before-startup-hook 'sds-window-configuration-save)

It's an unrelated change I reverted now.

 > I assume that your patch is in the bzr tree now, I did not apply it.

It is not.  Please try it.

martin